Page MenuHomePhabricator

Update Special:Block, Special:Unblock, API:Block, and API:Unblock to set/remove namespace blocks
Closed, ResolvedPublic3 Story Points

Description

Add another TagMultiSelectWidget field with a limited number of options.

Should be simpler than the Page multi-select.

Should only allow namespaces who's id is >= 0 (i.e. not Special or Media)

Unblock shouldn't change but this needs to be verified.

The HTMLForm needs a simple <select> that can be replaced with the TagMultiSelect widget so that NoJS can work correctly.

Details

Event Timeline

dbarratt created this task.Sep 20 2018, 5:52 PM
aezell updated the task description. (Show Details)Sep 21 2018, 6:21 PM
aezell set the point value for this task to 3.
dbarratt updated the task description. (Show Details)Nov 23 2018, 4:29 AM
Tchanders moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 34) board.

Change 478742 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] WIP Add namespaces multiselectwidget to Special:Block

https://gerrit.wikimedia.org/r/478742

Change 479770 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] Introduce multiselect widgets for namespaces

https://gerrit.wikimedia.org/r/479770

Change 479771 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/core@master] WIP Add namespace restrictions Special:Block and API

https://gerrit.wikimedia.org/r/479771

Change 478742 abandoned by Tchanders:
WIP Add namespaces multiselectwidget to Special:Block

Reason:
Moved to I9e231ad109d7285486ec332b26780339592b8df7

https://gerrit.wikimedia.org/r/478742

Discussions about the behaviour of the checkbox for a partially blocked user editing their own user talk page can be found on T211073 and T210475.

By default, the Main namespace appears as "(Main)" in the dropdown list. Is this correct, or should it be "Main"?

jrbs added a subscriber: jrbs.Jan 18 2019, 8:11 PM

By default, the Main namespace appears as "(Main)" in the dropdown list. Is this correct, or should it be "Main"?

I think this is a holdover from a time when the main namespace didn't have a name. Arguably it still doesn't :)

By default, the Main namespace appears as "(Main)" in the dropdown list. Is this correct, or should it be "Main"?

as far as I know, it appears as (Main) everywhere, but if you find another translated string then go for it, but the one I found had (Main) in it.

Let's just stick with the default, MediaWiki:Blanknamespace. On ENWP it has been customized to (Article), and it's what Recent Changes and Watchlist use:

Change 479770 merged by jenkins-bot:
[mediawiki/core@master] Introduce multiselect widgets for namespaces

https://gerrit.wikimedia.org/r/479770

Change 479771 merged by jenkins-bot:
[mediawiki/core@master] Add namespace restrictions to Special:Block and API

https://gerrit.wikimedia.org/r/479771

dbarratt closed this task as Resolved.Jan 23 2019, 5:41 PM
dbarratt moved this task from Review to Done on the Anti-Harassment (Bet — ב) board.